#!/usr/local/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 4.6 patchlevel 3    last modified 2013-04-12 
#    	Build System: Linux x86_64
#    
#    	Copyright (C) 1986-1993, 1998, 2004, 2007-2013
#    	Thomas Williams, Colin Kelley and many others
#    
#    	gnuplot home:     http://www.gnuplot.info
#    	faq, bugs, etc:   type "help FAQ"
#    	immediate help:   type "help"  (plot window: hit 'h')
#set terminal postscript enhanced color solid "Times-Roman" 16
#set output "c2h4.c2h2.eps"
set pm3d interpolate 1,1 flush begin noftriangles nohidden3d corners2color mean
kcal=627
f(x)=k*(x-x0)*(x-x0)+e0
GNUTERM = "x11"
delta = 0.002
k = 1.2
x0=1.2
e0=-11
set title "c2h2 triple bond"
set xlabel 'd (Angstrom)'
set ylabel 'E (kcal/mol)'
set key bottom right
fit f(x) 'curve.c2h2' u ($1):($2) via k,x0,e0
plot 'curve.c2h2' u ($1):($2-e0)*kcal t 'computed DFT' w lp lw 2 ps 2 pt 7, (f(x)-e0)*kcal t 'k*(x-x0)^2' w l lw 2 
pause mouse
g(x)=ka*(x-x0a)*(x-x0a)+e0a
delta = 0.002
ka = 0.8
e0a=-12
x0a=1.32
set xlabel 'd (Angstrom)'
set ylabel 'E (kcal/mol)'
set title "c2h4 double bond"
fit g(x) 'curve.c2h4' u ($1):(($2)) via ka,x0a,e0a
plot 'curve.c2h4' u ($1):($2-e0a)*kcal t 'computed DFT' w lp lw 2 ps 2 pt 7, (g(x)-e0a)*kcal t 'ka*(x-x0a)^2' w l lw 2 
pause mouse
set title "c2h2 vs. c2h4"
set xlabel 'd-d0 (Angstrom)'

print " "
print " "
print " "
print "c2h2: k= ",k*kcal," kcal/mol/A^2  x0= ",x0," Angstrom"
print "c2h4: k= ",ka*kcal," kcal/mol/A^2  x0= ",x0a," Angstrom"
plot 'curve.c2h4' u ($1-x0a):($2-e0a)*kcal t 'c2h4' w lp lw 2 ps 2 pt 6,  'curve.c2h2' u ($1-x0):($2-e0)*kcal t 'c2h2' w lp lw 2 ps 2 pt 7
#    EOF
pause mouse
